Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoVRMLDragSensor Class Reference

`#include <Inventor/VRMLnodes/SoVRMLDragSensor.h>`

Inheritance diagram for SoVRMLDragSensor:

List of all members.

## Detailed Description

The SoVRMLDragSensor class is a superclass for VRML drag sensors.

This class collects the two fields that are common for some of the sensor nodes, plus some common functions for these. Since this is an abstract "helper" class, it does not represent an actual node from the VRML97 specification, so don't use it as such.

For more information, a detailed discussion of drag sensors is available in section 4.6.7.4 of the VRML97 specification:

<http://www.web3d.org/technicalinfo/specifications/vrml97/part1/concepts.html#4.6.7.4>.

## Public Member Functions
virtual void | handleEvent (SoHandleEventAction *action)
## Static Public Member Functions
void | initClass (void)
## Public Attributes
SoSFVec3f | trackPoint_changed
SoSFBool | autoOffset
## Protected Member Functions
virtual SbBool | dragStart (void)=0
virtual void | drag (void)=0
virtual void | dragFinish (void)=0
| SoVRMLDragSensor (void)
virtual | ~SoVRMLDragSensor ()
const SbVec3f & | getLocalStartingPoint (void) const
const SbMatrix & | getLocalToWorldMatrix (void) const
const SbMatrix & | getWorldToLocalMatrix (void) const
const SbViewVolume & | getViewVolume (void) const
const SbVec2f & | getNormalizedLocaterPosition (void) const

## Constructor & Destructor Documentation

SoVRMLDragSensor::SoVRMLDragSensor | ( | void |  | ) | `[protected]`

| Constructor.

SoVRMLDragSensor::~SoVRMLDragSensor | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLDragSensor::handleEvent | ( | SoHandleEventAction * | action | ) | `[virtual]`

| Action method for SoHandleEventAction. Inspects the event data from action, and processes it if it is something which this node should react to. Nodes influencing relevant state variables for how event handling is done also overrides this method. Reimplemented from SoNode.

void SoVRMLDragSensor::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLSensor. Reimplemented in SoVRMLCylinderSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

SbBool SoVRMLDragSensor::dragStart | ( | void |  | ) | `[protected, pure virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when dragger is selected (picked) by the user. Implemented in SoVRMLCylinderSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

void SoVRMLDragSensor::drag | ( | void |  | ) | `[protected, pure virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when user drags the mouse after picking the dragger. Implemented in SoVRMLCylinderSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

void SoVRMLDragSensor::dragFinish | ( | void |  | ) | `[protected, pure virtual]`

| This API member is considered internal to the library, as it is not likely to be of interest to the application programmer. Called when mouse button is released after picking and interacting with the dragger. Implemented in SoVRMLCylinderSensor, SoVRMLPlaneSensor, and SoVRMLSphereSensor.

const SbVec3f & SoVRMLDragSensor::getLocalStartingPoint | ( | void |  | ) | const`[protected]`

| Returns the interaction starting point.

const SbMatrix & SoVRMLDragSensor::getLocalToWorldMatrix | ( | void |  | ) | const`[protected]`

| Returns the matrix that transforms to the world coordinate system.

const SbMatrix & SoVRMLDragSensor::getWorldToLocalMatrix | ( | void |  | ) | const`[protected]`

| Returns the matrix that transforms from the world coordinate system.

const SbViewVolume & SoVRMLDragSensor::getViewVolume | ( | void |  | ) | const`[protected]`

| Returns the current view volume.

const SbVec2f & SoVRMLDragSensor::getNormalizedLocaterPosition | ( | void |  | ) | const`[protected]`

| Returns the current normalized pointer position.

## Member Data Documentation

SoSFVec3f SoVRMLDragSensor::trackPoint_changed

| An event out that is generated when the trackpoint is changed.

SoSFBool SoVRMLDragSensor::autoOffset

| When `TRUE`, the offset field is updated when a dragging sequence is finished. Default value is `TRUE`.

The documentation for this class was generated from the following files:

- SoVRMLDragSensor.h
- DragSensor.cpp